import React from 'react';
import { ClassNamesFn } from '../theme';
export interface LocationProps {
    vendor: 'baidu' | 'gaode' | 'tenxun';
    placeholder: string;
    clearable: boolean;
    ak: string;
    value?: {
        address: string;
        lat: number;
        lng: number;
        city?: string;
    };
    disabled?: boolean;
    className?: string;
    onChange: (value: any) => void;
    classnames: ClassNamesFn;
    classPrefix: string;
    popOverContainer?: any;
}
export interface LocationState {
    isFocused: boolean;
    isOpened: boolean;
}
export declare class LocationPicker extends React.Component<LocationProps, LocationState> {
    static defaultProps: {
        placeholder: string;
        clearable: boolean;
    };
    domRef: React.RefObject<HTMLDivElement>;
    state: {
        isFocused: boolean;
        isOpened: boolean;
    };
    handleKeyPress(e: React.KeyboardEvent): void;
    handleFocus(): void;
    handleBlur(): void;
    handleClick(): void;
    getTarget(): HTMLDivElement | null;
    getParent(): any;
    open(fn?: () => void): void;
    close(): void;
    clearValue(e: React.MouseEvent<any>): void;
    handlePopOverClick(e: React.MouseEvent<any>): void;
    handleChange(value: any): void;
    render(): JSX.Element;
}
declare const ThemedCity: React.ComponentClass<Pick<Pick<LocationProps, "disabled" | "value" | "className" | "classPrefix" | "classnames" | "onChange" | "popOverContainer" | "ak" | "vendor"> & Partial<Pick<LocationProps, "placeholder" | "clearable">> & Partial<Pick<{
    placeholder: string;
    clearable: boolean;
}, never>>, "disabled" | "value" | "className" | "placeholder" | "onChange" | "clearable" | "popOverContainer" | "ak" | "vendor"> & {
    theme?: string | undefined;
    classPrefix?: string | undefined;
    classnames?: ClassNamesFn | undefined;
}, any> & {
    ComposedComponent: typeof LocationPicker;
};
export default ThemedCity;
